# OsmInEdit

OsmInEdit is web tool to allow easy editing of OpenStreetMap indoor-related data.

You can use it at [osminedit.pavie.info](https://osminedit.pavie.info/) (or [here for under development version](https://osminedit.pavie.info/dev/)).

## Purpose

OsmInEdit aims to make [indoor data editing](https://wiki.openstreetmap.org/wiki/Simple_Indoor_Tagging) easy on OpenStreetMap, ideally being as good as [iD editor](https://github.com/openstreetmap/iD), but focused on building indoors. With this tool, you can contribute to make OpenStreetMap the best source of geo-data for both outdoors and indoors.

If you are looking for an indoor data viewer (a map for browsing existing data), have a look at [OpenLevelUp](https://openlevelup.net/).

__Tips and tricks__ for using this editor can be found on [usage documentation](USAGE.md).


## Contributing

This project is an open source tool, meaning it is made by volunteers. If you __want to help us__, there are several ways (technical or non-technical ones). You can find how to participate in the [contributing documentation](CONTRIBUTING.md).


## Develop/run your own instance

OsmInEdit is already available online, so you can use without any bothering (see link on top of this document). In case you want to run your instance of OsmInEdit, or work on its development, you can read [develop documentation](DEVELOP.md) to have all technical information.


## Contributors

OsmInEdit exists and is everyday improving thanks to the __amazing people__ following :

* Adrien Pavie, main developer of OsmInEdit
* Daimler AG team, for sponsoring and leading the project
* Florian Lainez, for improving the user experience
* Thomas Gratier, for his work on [osm-request](https://github.com/osmlab/osm-request) library
* And all users, for using the tool and sharing their ideas !


## License

Copyright (c) Adrien Pavie 2019

Copyright (c) Daimler AG 2019

Released under ISC license, see [LICENSE](LICENSE.md) for complete license text.
